%global forgeurl https://github.com/M0Rf30/android-udev-rules

Version:          20230614

%global tag %{version}

%forgemeta

Name:             android-udev-rules
Release:          1%{?dist}
Summary:          Android udev rules list aimed to be the most comprehensive on the net
License:          GPL-3.0-or-later
URL:              %{forgeurl}
Source0:          %{forgesource}
BuildArch:        noarch
BuildRequires:    systemd-rpm-macros
Requires(pre):    shadow-utils
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%{?sysusers_requires_compat}

%description
These rules refer to 'Run Apps on a Hardware Device - Android Studio'
and include many suggestions from the Archlinux and Github Communities.

%prep
%forgesetup

%install
install -D -m 0644 -t %{buildroot}%{_sysusersdir} android-udev.conf
install -D -m 0644 -t %{buildroot}%{_udevrulesdir} 51-android.rules

%pre
%sysusers_create_compat android-udev.conf

%files
%license LICENSE
%doc README.md
%{_sysusersdir}/android-udev.conf
%{_udevrulesdir}/51-android.rules

%changelog
* Mon Sep 18 2023 Brandon Nielsen <nielsenb@jetfuse.net> - 20230614-1
- Update to 20230614
- Change to SPDX license identifier

* Mon Jan 30 2023 Brandon Nielsen <nielsenb@jetfuse.net> - 20230104-1
- Update to 20230104

* Sat Feb 26 2022 Brandon Nielsen <nielsenb@jetfuse.net> - 20220611-1
- Update to 20220611

* Sat Feb 26 2022 Brandon Nielsen <nielsenb@jetfuse.net> - 20220102-1
- Update to 20220102

* Mon Nov 15 2021 Brandon Nielsen <nielsenb@jetfuse.net> - 20210501-2
- Use forge macros

* Thu Sep 9 2021 Brandon Nielsen <nielsenb@jetfuse.net> - 20210501-1
- Update to 20210501

* Fri Mar 19 2021 Brandon Nielsen <nielsenb@jetfuse.net> - 20210302-1
- Update to 20210302

* Fri Aug 28 2020 Brandon Nielsen <nielsenb@jetfuse.net> - 20200613-1
- Initial port of OpenSUSE specfile
